#
# spec file for package python-PySocks
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2016 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-PySocks
Version:        1.5.6
Release:        1.1
License:        BSD-3-Clause
Summary:        A Python SOCKS client module.
Url:            https://github.com/Anorov/PySocks
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/P/PySocks/PySocks-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python-SocksiPy = %{version}
Obsoletes:      python-SocksiPy < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python SOCKS client module.

It is an actively maintained SocksiPy fork. Contains many
improvements to the original. 

See https://github.com/Anorov/PySocks for more information.

%prep
%setup -q -n PySocks-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Mar 11 2016 toddrme2178@gmail.com
- Fix license
- Provides/Obsoletes python-SocksiPy, which this is an updated fork
  of and conflicts with.
* Tue Jan  5 2016 hpj@urpla.net
- Version 1.5.6: initial build
